<app-loading></app-loading>
<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <!-- Listado de asignación  | bandetalle == false -->
    <div *ngIf="!bandetalle" >
      <div class="container-fluid float-left col-12 col-qpad divtop">
        <div class="col-md-7 col-lg-7 col-12 float-left">
          <mat-form-field  class="col-12 col-md-3 col-sm-3" appearance="fill">
            <mat-label class="font-comp">Fecha búsqueda</mat-label>
            <mat-date-range-input class="font-comp" [max]="dateServ.today"
              [formGroup]="rangeDate"
              [rangePicker]="rangeDatePicker"
              [comparisonStart]="rangeDate.value.start"
              [comparisonEnd]="rangeDate.value.end">
              <input matStartDate placeholder="Fecha Inicio" formControlName="start" [(ngModel)]="dateServ.fechamin"  readonly>
              <input matEndDate placeholder="Fecha Fin" formControlName="end" [(ngModel)]="dateServ.fechamax" readonly>
            </mat-date-range-input>
            <mat-datepicker-toggle matSuffix [for]="rangeDatePicker"></mat-datepicker-toggle>
            <mat-date-range-picker #rangeDatePicker></mat-date-range-picker>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-12 col-md-4 col-sm-6" *ngIf="showItem">
            <mat-label class="font-comp">Trabajador</mat-label>
            <mat-select cdkFocusInitial name="trabajador" class="font-comp" [(ngModel)]="idtrabajador" [(value)]="idtrabajador">
              <mat-option value="0">Todos</mat-option>
              <mat-option
                *ngFor="let option of comboTrabajador"
                value="{{ option.n_idtrabajador }}">
              {{ option.trabajador }}
            </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div class="col-md-5 col-lg-5 col-12 float-left">
        <app-button [btnCtrl]="[false, true, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
      </div>
      </div>

      <div *ngIf="pageServ.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 d-block d-lg-none d-md-nonek">
        <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaPage(dataGlobal, $event);"
              [pageSize]="pageServ.pageSize"
              [pageSizeOptions]="pageServ.pageSizeOptions">
        </mat-paginator>

      </div>
      <!-- <div class="container-fluid float-left div-table col-12" style="text-align: right;">
        <mat-form-field style="width: 350px;">
          <input matInput (keyup)="applyFilter()" placeholder="Filtrar búsqueda..." [(ngModel)]="search">
          <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
        </mat-form-field>
      </div> -->


      <div class="container-fluid float-left div-table col-12" >
        <div class="d-none d-lg-block d-md-block">
          <table class="table table-fixed font-comp table-style">
            <thead>
            <tr>
              <th class="col-15 col-c" scope="col">N°</th>
              <th class="col-c col-180" scope="col">FECHA</th>
              <th class="col-50 col-c" scope="col">TRABAJADOR</th>
              <th class="col-c col-100" scope="col">ESTADO</th>
              <th class="col-25 col-l" scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let regist of pageServ.dataSource; let i = index" data-index="i">

              <th class="col-15 col-r">{{i + 1}}</th>
              <td class="col-50 col-c">{{ regist.d_fechaasignacion | date:'dd-MM-yyyy' }}</td>
              <td class="col-l col-100">{{ regist.trabajador.v_nombres }} {{ regist.trabajador.v_apellidos}}</td>
              <td class="col-l col-25">{{ regist.estadoasignacion.v_nombre.toUpperCase()}}</td>

              <!-- <td class="col-c"><i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}" class="fa fa-{{ regist.b_vigencia == 1 ? 'check' : 'times' }} fa-2x text-{{ regist.b_vigencia == 1 ? 'success' : 'danger' }}"></i></td> -->
              <td scope="row" class="col-25 col-c">
                <a  class="btn btn-sm btn-crg" matTooltip="Ver detalle de asignación" (click)="detalle(regist)"><i class="fas fa-tasks"></i></a>&nbsp;
                <!-- <a *ngIf="regist.b_vigencia == 1" class="btn btn-sm btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.n_id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                <a *ngIf="regist.b_vigencia == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="estado(regist.n_id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editar(regist.n_idasignacion)"><i class="fa fa-edit"></i></a>&nbsp; -->

              </td>
            </tr>
            <tr *ngIf="pageServ.dataSource.length == 0" class="col-l cel-ie">
              <th colspan="5">No hay registros.</th>
            </tr>
            </tbody>
            <tfoot>
              <tr >
                <td colspan="5" class="col-r"><b>{{ pageServ.dataSource.length | number }} registros</b></td>
              </tr>
            </tfoot>
          </table>
        </div>
        <div class="d-block d-lg-none d-md-none">
          <table class="font-comp table-style">
              <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageServ.dataSource">
                  <div class="card bg-c-dark order-card">
                      <div class="card-block">
                          <h6 class="m-b-20">{{ regist.trabajador.v_nombres }} {{ regist.trabajador.v_apellidos}} </h6>
                          <!-- <h2><i matTooltip="Estado Asignación Telefonica" class="fa fa-star f-left text-info"></i>&nbsp;<i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}." class="fa fa-{{ regist.miembro == 1 ? 'check' : 'times' }} text-{{ regist.miembro == 1 ? 'success' : 'danger' }}"></i>
                            <span class="f-right">
                            <a *ngIf="regist.b_vigencia == 1" class="btn btn-xs btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                            <a *ngIf="regist.b_vigencia == 0" class="btn btn-xs btn-success" matTooltip="Habilitar registro" (click)="estado(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                            <a  class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editar(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;

                            </span></h2> -->
                          <p class="m-b-0">Estado<span class="f-right">{{ regist.estadoasignacion.v_nombre}}</span></p>
                          <p class="m-b-0">Fecha Registro<span class="f-right">{{ regist.d_fechaasignacion  | date:'dd-MM-yyyy'}}</span></p>
                          <p class="f-right">

                          </p>
                      </div>
                  </div>
              </div>
              <tbody>
                <tr>
                  <th *ngIf="pageServ.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                    No hay registros de Asignación Telefonica"
                  </th>
                </tr>
              </tbody>
          </table>
        </div>
        <div *ngIf="pageServ.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

        <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaPage(dataGlobal, $event);"
              [pageSize]="pageServ.pageSize"
              [pageSizeOptions]="pageServ.pageSizeOptions">
        </mat-paginator>

      </div>
      </div>

    </div>

    <!-- Listado de detalle de asignación | bandetalle == true  -->
    <div *ngIf="bandetalle">
        <div class="container-fluid float-left col-12 col-qpad divtopdet">
          <div class="col-12 float-left">
              <mat-card>
                <mat-card-header>
                  <mat-card-title-group class="col-9">
                    <mat-card-title>Asignado a: {{ objsel.trabajador.v_nombres }}  {{ objsel.trabajador.v_apellidos }}</mat-card-title>
                    <mat-card-subtitle>Fecha Asignación: {{ objsel.d_fechaasignacion | date:'dd-MM-yyyy' }} | Estado: {{ objsel.estadoasignacion.v_nombre }}</mat-card-subtitle>
                  </mat-card-title-group>
                  <div class="col-3 float-left text-right" style="margin-top: -20px;">
                    <app-button [btnCtrl]="[false, true, false, false, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
                    <!-- <button class="btn btn-sm btn-danger btn-uq"  matTooltip="Ir a listado de asignaciones" (click)="regresar()" ><i class="fa fa-arrow-circle-left" ></i> Ir a listado de asignaciones</button> -->
                  </div>
                </mat-card-header>
              </mat-card>
          </div>
        </div>

        <div class="container-fluid float-left div-table col-12" >
          <div class="d-none d-lg-block d-md-block">
            <table class="table table-fixed font-comp table-style">
              <thead>
              <tr>
                <th class="col-15 col-c" scope="col">N°</th>
                <th class="col-50 col-c" scope="col">NUM. TELÉFONO</th>
                <th class="col-c col-180" scope="col">DOC. IDENT.</th>
                <th class="col-50 col-c" scope="col">CLIENTE</th>
                <th class="col-c col-100" scope="col">ÚLTIMA GESTiÓN</th>
                <th class="col-c col-100" scope="col">FECHA GESTiÓN</th>
                <th class="col-25 col-l" scope="col"></th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let registd of pageServ.dataSource; let i = index" data-index="i">

                <th class="col-15 col-r">{{i + 1}}</th>
                <td class="col-50 col-c">{{ registd.cliente.v_numero }}</td>
                <td class="col-50 col-c">{{ registd.cliente.v_dni }}</td>
                <td class="col-l col-100">{{ registd.cliente.v_nombre }}</td>
                <td class="col-l col-25">{{ registd.ultimoresultado == null ? '' : registd.ultimoresultado.v_nombre | uppercase }}</td>
                <td class="col-c col-25">{{ registd.ultimoresultado == null ? '' : registd.d_fechavisita |  date:'dd-MM-yyyy' }}</td>
<!-- | date:'dd-MM-yyyy' -->
                <!-- <td class="col-c"><i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}" class="fa fa-{{ regist.b_vigencia == 1 ? 'check' : 'times' }} fa-2x text-{{ regist.b_vigencia == 1 ? 'success' : 'danger' }}"></i></td> -->
                <td scope="row" class="col-25 col-c">
                  <a  class="btn btn-sm btn-dark" matTooltip="Editar cliente" (click)="editar_cliente(registd.cliente.n_idcliente)"><i class="fas fa-user-edit"></i></a>&nbsp;
                  <a  class="btn btn-sm btn-new" matTooltip="Registrar gestión" (click)="registro_resultado(registd)"><i class="fas fa-registered"></i></a>&nbsp;
                  <a  class="btn btn-sm btn-crg" matTooltip="Ver resultados de asignación" (click)="resultados(registd.cliente)"><i class="fas fa-tasks"></i></a>&nbsp;
                  <!-- <a *ngIf="regist.b_vigencia == 1" class="btn btn-sm btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.n_id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                  <a *ngIf="regist.b_vigencia == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="estado(regist.n_id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                  <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editar(regist.n_idasignacion)"><i class="fa fa-edit"></i></a>&nbsp; -->

                </td>
              </tr>
              <tr *ngIf="pageServ.dataSource.length == 0" class="col-l cel-ie">
                <th colspan="7">No hay registros.</th>
              </tr>
              </tbody>
              <tfoot>
                <tr >
                  <td colspan="7" class="col-r"><b>{{ dataGlobalD.length | number }} registros</b></td>
                </tr>
              </tfoot>
            </table>
          </div>
        </div>

        <div *ngIf="pageServ.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

        <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaPage(dataGlobalD, $event);"
              [pageSize]="pageServ.pageSize"
              [pageSizeOptions]="pageServ.pageSizeOptions">
        </mat-paginator>

      </div>
    </div>


  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>

